---
title: "POST /_system/codeeditor/{action_guid} - System · RUAL Documentation"
description: "POST: Update code editor document"
canonical: https://docs.rual.nl/cluster/api/system/system-codeeditor--action-guid-post
language: en
---

# POST /_system/codeeditor/{action_guid}

Update code editor document

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **action_guid** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **code** optional | `string` | `"INVALID_TYPE"` |  |
| **language** optional | `string` | `"en"` |  |
| **name** optional | `string` | `"production"` |  |

```
{
  "success": true
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintactions_view` | Required scope: blueprintactions_view |
